/*
 * @Descripttion:
 * @version:
 * @Author: kBank
 * @Date: 2022-07-05 17:57:49
 */
import Vue from 'vue'
import VueI18n from 'vue-i18n'
import zhCn from 'zhCN'

import zhCnLocale from 'element-ui/lib/locale/lang/zh-CN'
import ElementLocale from 'element-ui/lib/locale'


const lang = localStorage.getItem('lang') || 'zh-CN'

Vue.use(VueI18n)

const i18n = new VueI18n({
  locale: lang,
  messages: {
    'zh-CN': { ...zhCn,...zhCnLocale },
  }

})
ElementLocale.i18n((key, value) => i18n.t(key, value))

export default i18n


